# Gimp.Display.prototype.get_window_handle

    function get_window_handle(): Uint8Array {
        // Gjs wrapper for gimp_display_get_window_handle()
    }

Get a handle to the native window for an image display.

This procedure returns a handle to the native window for a given image display. It can be different types of data depending on the platform you are running on. For example in the X backend of GDK, a native window handle is an Xlib XID whereas on Wayland, it is a string handle. A value of NULL is returned for an invalid display or if this function is unimplemented for the windowing system that is being used.

Since 2.4

Returns

  The native window handle or NULL.